Skip to main content
POST
cURL

Overview

Create a query job to query and export records from an object. Use the request body to select which attributes to return and optionally filter or sort the results. See Using query jobs for an overview of using jobs to query data.

Authorizations

x-api-key
string
header
required

Path Parameters

object_name
string
required

The API name of an object, e.g. company, person, opportunity, or a custom object's API name.

Body

application/json

Request body for creating an object records query job.

query
object
required

Query describing which object records to return and how to shape them.

Response

Response returned when creating a query job.

Response returned when creating a query job.

job_id
string
required
status
enum<string>
required
Available options:
IN_PROGRESS
expires_at
string
required

Time the job and its results expire, 24 hours after creation.